Name:           python-argcomplete
Version:        3.1.1
Release:        1
Summary:        Argparse's bash tab completion
License:        ASL 2.0
URL:            https://github.com/kislyuk/argcomplete
Source0:        %{url}/archive/v%{version}/argcomplete-%{version}.tar.gz
BuildRequires:  tcsh
BuildArch:      noarch

%description
Argcomplete provides simple, extensible command line tab parameter completion for your Python scripts.

%package -n     python3-argcomplete
Summary:        Argparse's bash tab completion
%{?python_provide:%python_provide python3-argcomplete}
BuildRequires:  python3-devel python3-setuptools python3-pexpect
Requires:       python3-setuptools

%description -n python3-argcomplete
Argcomplete provides simple, extensible command line tab parameter completion for your Python scripts.

%prep
%autosetup -n argcomplete-%{version} -p1
sed -i -r -e '/tests_require = /s/"(coverage|flake8|wheel)"[, ]*//g' setup.py
sed -i '9a\    name = "argcomplete",\n    version = "3.1.1",' setup.py
sed -i -e "1s|#!.*python.*|#!%{__python3}|" test/prog scripts/*
sed -i -e "s|python |python3 |" test/test.py

%build
%py3_build

%install
%py3_install
install -d %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m0644 %{buildroot}%{python3_sitelib}/argcomplete/bash_completion.d/_python-argcomplete \
%{buildroot}%{_sysconfdir}/bash_completion.d/

%check

%files -n python3-argcomplete
%doc README.rst LICENSE.rst
%{python3_sitelib}/{argcomplete-*.egg-info/,argcomplete/}
%{_bindir}/{activate-global-python-argcomplete,python-argcomplete-check-easy-install-script}
%{_bindir}/{python-argcomplete-tcsh,register-python-argcomplete}
%{_sysconfdir}/bash_completion.d/_python-argcomplete

%changelog
* Wed Jun 21 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.1.1-1
- Update package to version 3.1.1

* Fri Apr 07 2023 wulei <wu_lei@hoperun.com> - 3.0.5-1
- Upgrade package to version 3.0.5

* Mon May 30 2022 liyanan <liyanan32@h-partners.com> -2.0.0-1
- update to 2.0.0

* Thu May 28 2020 Jeffery.Gao <gaojianxing@huawei.com> -1.9.5-3
- Type:NA
- ID:NA
- SUG:NA
- DESC: delete setup check.

* Fri Dec 20 2019 fengbing <fengbing7@huawei.com> - 1.9.5-2
- Package init
